package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Wireless network total traffic timing list Wired network total traffic timing list,
 */
@ApiModel(description = "Wireless network total traffic timing list Wired network total traffic timing list,")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class DeviceTrafficActivity   {
  @JsonProperty("time")
  private Long time;

  @JsonProperty("txData")
  private Double txData;

  @JsonProperty("rxData")
  private Double rxData;

  public DeviceTrafficActivity time(Long time) {
    this.time = time;
    return this;
  }

  /**
   * The timestamp of this data sample, in seconds, such as 1682000000
   * @return time
  */
  @ApiModelProperty(value = "The timestamp of this data sample, in seconds, such as 1682000000")


  public Long getTime() {
    return time;
  }

  public void setTime(Long time) {
    this.time = time;
  }

  public DeviceTrafficActivity txData(Double txData) {
    this.txData = txData;
    return this;
  }

  /**
   * Uplink traffic in MB
   * @return txData
  */
  @ApiModelProperty(value = "Uplink traffic in MB")


  public Double getTxData() {
    return txData;
  }

  public void setTxData(Double txData) {
    this.txData = txData;
  }

  public DeviceTrafficActivity rxData(Double rxData) {
    this.rxData = rxData;
    return this;
  }

  /**
   * Downlink traffic in MB
   * @return rxData
  */
  @ApiModelProperty(value = "Downlink traffic in MB")


  public Double getRxData() {
    return rxData;
  }

  public void setRxData(Double rxData) {
    this.rxData = rxData;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceTrafficActivity deviceTrafficActivity = (DeviceTrafficActivity) o;
    return Objects.equals(this.time, deviceTrafficActivity.time) &&
        Objects.equals(this.txData, deviceTrafficActivity.txData) &&
        Objects.equals(this.rxData, deviceTrafficActivity.rxData);
  }

  @Override
  public int hashCode() {
    return Objects.hash(time, txData, rxData);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceTrafficActivity {\n");
    
    sb.append("    time: ").append(toIndentedString(time)).append("\n");
    sb.append("    txData: ").append(toIndentedString(txData)).append("\n");
    sb.append("    rxData: ").append(toIndentedString(rxData)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

